
Katello - Bug #7042

exposing DB tables when listing roles via API

08/12/2014 07:30 AM - Martin Bacovsky

Status: Closed   

Priority: Normal   

Assignee: Martin Bacovsky   

Category: API   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1102732 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1102732

Description of problem:

API for listing roles fails with information about the failed database SELECT

Version-Release number of selected component (if applicable):

Satellite-6.0.3-RHEL-6-20140523.0-Satellite-x86_64

How reproducible:

always

Steps to Reproduce:

$ curl -s -H \"Content-Type:application/json\" -H \"Accept:application/json,version=2\" -k -u admin:changeme 

http://localhost/katello/api/roles?per_page=10

Actual results: {"displayMessage":"PGError: ERROR:  column katello_roles.per_page does not exist\nLINE 1: ...ECT

\"katello_roles\".* FROM \"katello_roles\"  WHERE \"katello_r...\n                                                             ^\n: SELECT

\"katello_roles\".* FROM \"katello_roles\"  WHERE \"katello_roles\".\"per_page\" = '10' AND (type <> 'Katello::UserOwnRole' or type

is NULL) ORDER BY katello_roles.name","errors":["PGError: ERROR:  column katello_roles.per_page does not exist\nLINE 1:

...ECT \"katello_roles\".* FROM \"katello_roles\"  WHERE \"katello_r...\n                                                             ^\n: SELECT

\"katello_roles\".* FROM \"katello_roles\"  WHERE \"katello_roles\".\"per_page\" = '10' AND (type <> 'Katello::UserOwnRole' or type

is NULL) ORDER BY katello_roles.name"]}

Expected results:

not exposing DB table names like 'katello_roles'

return list of roles

History

#1 - 08/12/2014 07:39 AM - Dominic Cleal

- Project changed from Foreman to Katello

- Category set to API

- Triaged set to No

#2 - 08/14/2014 10:18 AM - Eric Helms

- Status changed from New to Closed

- Triaged changed from No to Yes

No longer valid after the removal of the old Katello authorization system.

#3 - 08/22/2014 09:29 AM - Eric Helms

- translation missing: en.field_release set to 13
